<?php
/**
 * compose.php - Used by DIMP_Views_Compose:: to render the compose screen.
 *
 * $Horde: dimp/templates/chunks/compose.php,v 1.130 2007/06/06 12:23:10 slusarz Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */
?>
<form id="compose" name="compose" enctype="multipart/form-data" action="compose.php" method="post" target="submit_frame">
<?php echo Util::formInput() ?>
<input type="hidden" id="action" name="action" />
<input type="hidden" id="last_identity" name="last_identity" value="<?php echo (int)$selected_identity ?>" />
<input type="hidden" id="html" name="html" value="<?php echo intval($rte && $compose_html) ?>" />
<input type="hidden" id="in_reply_to" name="in_reply_to" />
<input type="hidden" id="references" name="references" />
<input type="hidden" id="folder" name="folder" value="<?php echo $args['folder'] ?>" />
<input type="hidden" id="index" name="index" value="<?php echo $args['index'] ?>" />
<input type="hidden" id="draft_index" name="draft_index" value="<?php echo $draft_index ?>" />
<input type="hidden" id="reply_type" name="reply_type" />
<input type="hidden" id="messageCache" name="messageCache" value="<?php echo $messageCache ?>" />

<div id="dimpActions" class="dimpActionsCompose">
 <?php echo DIMP::actionButton('#', _("Se_nd"), '', 'forward.png', 'uniqueSubmit(\'send_message\')', 'send_button') ?>
<?php if ($allow_receipts && $d_read != 'never'): ?>
 <label><input type="checkbox" class="checkbox" name="request_read_receipt"<?php if ($d_read != 'ask') echo ' checked="checked"' ?> /> <?php echo _("Read Receipt") ?></label>
<?php endif; ?>
<?php if ($allow_folders && !$save_sent_mail_locked): ?>
  <label><input type="checkbox" class="checkbox" id="save_sent_mail" name="save_sent_mail"<?php if ($identity->saveSentmail()) echo ' checked="checked"' ?> /> <?php echo _("Save in ") ?><span id="sent_mail_folder_label"><?php echo $sent_mail_folder ?></span></label>
<?php endif; ?>
 <span class="sep">|</span>
 <?php echo DIMP::actionButton('#', _("Check Spelling"), '', 'spellcheck.png', 'return false', 'spellcheck') ?>
 <span class="sep">|</span>
 <?php echo DIMP::actionButton('#', _("Save as Draft"), '', 'drafts.png', 'uniqueSubmit(\'save_draft\')', 'draft_button') ?>
 <?php echo DIMP::actionButton('#', _("Cancel"), '', 'delete.png', 'return confirmCancel()') ?>
</div>

<div id="writemsg">
 <div class="msgwrite">
  <div class="dimpOptions">
   <label><input id="togglecc" name="togglecc" type="checkbox" class="checkbox" onclick="Element.toggle('sendcc');" /> <?php echo _("Show Cc") ?></label><br />
   <label><input id="togglebcc" name="togglebcc" type="checkbox" class="checkbox" onclick="Element.toggle('sendbcc');" /> <?php echo _("Show Bcc") ?></label><br />
<?php if ($rte): ?>
   <label><input id="htmlcheckbox" type="checkbox" class="checkbox" <?php if ($compose_html) echo 'checked="checked"' ?> onclick="if (editor_on) { if (!window.confirm('<?php echo addslashes(_("Really discard all formatting information? This operation cannot be undone.")) ?>')) return false; } toggleHtmlEditor();" /> <?php echo _("HTML composition") ?></label><br />
<?php endif; ?>
  </div>
  <table cellspacing="0">
   <thead>
    <tr>
     <td class="label"><?php echo _("From: ") ?></td>
     <td>
      <select id="identity" name="identity" onchange="change_identity();">
<?php foreach ($identity->getSelectList() as $id => $from): ?>
       <option value="<?php echo htmlspecialchars($id) ?>"<?php if ($id == $selected_identity) echo ' selected="selected"' ?>><?php echo htmlspecialchars($from) ?></option>
<?php endforeach; ?>
      </select>
     </td>
    </tr>
    <tr>
     <td class="label"><?php echo Horde::link('#', '', '', null, $abook_url) . _("To: ") . '</a>' ?></td>
     <td>
      <textarea id="to" name="to" rows="1"></textarea>
      <div id="to_results" class="autocomplete" style="display:none"></div>
     </td>
    </tr>
   </thead>
  </table>
  <table cellspacing="0" id="sendcc" style="display:none">
   <thead>
    <tr>
     <td class="label"><?php echo Horde::link('#', '', '', null, $abook_url) . _("Cc: ") . '</a>' ?></td>
     <td>
      <textarea id="cc" name="cc" rows="1"></textarea>
      <div id="cc_results" class="autocomplete" style="display:none"></div>
     </td>
    </tr>
   </thead>
  </table>
  <table cellspacing="0" id="sendbcc" style="display:none">
   <thead>
    <tr>
     <td class="label"><?php echo Horde::link('#', '', '', null, $abook_url) . _("Bcc: ") . '</a>' ?></td>
     <td>
      <textarea id="bcc" name="bcc" rows="1"></textarea>
      <div id="bcc_results" class="autocomplete" style="display:none"></div>
     </td>
    </tr>
   </thead>
  </table>
  <table cellspacing="0">
   <thead>
    <tr>
     <td class="label"><?php echo _("Subject: ") ?></td>
     <td class="subject"><input type="text" id="subject" name="subject" /></td>
    </tr>
   </thead>
  </table>
  <table cellspacing="0">
   <thead>
    <tr valign="top" style="line-height:130%">
     <td class="label"><?php echo Horde::img('attachment.png', '', '', $GLOBALS['registry']->getImageDir('imp')) . ': ' ?></td>
     <td id="attach_cell">
      <input type="file" id="upload" name="file_1" />
<?php if (strpos($save_attach, 'prompt') !== false): ?>
      <label><input type="checkbox" class="checkbox" name="save_attachments_select"<?php if (strpos($save_attach, 'yes') !== false) echo ' checked="checked"' ?> /> <?php echo _("Save Attachments in sent folder") ?></label><br />
<?php endif; ?>
      <div id="attach_list"></div>
     </td>
    </tr>
   </thead>
  </table>
 </div>

 <div id="messageParent">
  <textarea name="message" style="width:100%;" rows="20" id="message"></textarea>
 </div>
</div>
</form>

<iframe name="submit_frame" id="submit_frame" style="display:none" src="javascript:false;"></iframe>
